%define fontname        roadstencil
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d

Name:           %{fontname}-fonts
Version:        1.0
Release:        5%{?dist}
Summary:        Roadstencil Fonts

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/andyfitz/237
Source0:        http://openfontlibrary.org/people/andyfitz/andyfitz_-_roadstencil.otf
Source1:	%{fontname}-fontconfig.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
A rough font influenced by roadwork stencils

%prep
cp -p %{SOURCE0} $RPM_BUILD_DIR/roadstencil.otf

%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644 *.otf $RPM_BUILD_ROOT%{fontdir}

install -dm 755 $RPM_BUILD_ROOT%{fontconfdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{fontconfdir}/63-%{fontname}.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi


%files
%defattr(644,root,root,755)
%doc
%dir %{fontdir}/
%{fontdir}/*.otf
%config(noreplace) %{fontconfdir}/63-%{fontname}.conf


%changelog
* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-5
- Fix the fontconfig file

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-4
- fix build failure from previous

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-3
- Add fontconfig file (#445136)

* Sun May 04 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-2
- Correct source

* Sun May 04 2008 Jon Stanley <jonstanley@gmail.com> - 1.0-1
- Initial package
